Updating third party library dependancies using CocoaPods

Just a quick tip – if you’re using Cocoapods generally you want to avoid using just

pod update.  Instead you will want to individually update single pods at a time, e.g.

pod update MyLibraryName

This way, if something in your code that relies on a third party library breaks after the update, you don’t have to guess which update caused the issue.  It’s easier to revert and easier to address.  But, how can you tell which libraries need an update?  At the command line, type:

pod outdated

 

Leave a Reply